<script type="text/javascript">
	$(document).ready(function(){
	
	cek_pending();
	
	function cek_pending(){
		var no = 1;

		$.ajax({
			type	: "POST",
			url	: "modul/pener_piut/cek_data_pending.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.kode);
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_kodepl").val(data.kodepl);
				$("#txt_namapl").val(data.namapl);
				var kode = $("#txt_kode").val();
				
				if(!kode==''){
					cari_nourut();
					tampil_detail();
				}
				else $("#mulai").focus();
			}
		});
	}
	
	$("#mulai").click(function(){
		$(".input_detail").val('');
		$(".input_header").val('');
		$("#txt_total").val('');
		cari_tgl();
	});
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggal").focus();
				cari_nomor();
			}
		});
	}
	
	function cari_nomor(){
		var tanggal = $("#txt_tanggal").val();
		
		$.ajax({
			type	: "POST",
			url	: "modul/pener_piut/cari_nomor.php",
			data	: "tanggal="+tanggal,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.nomor);
				cari_nourut();
				tampil_detail();
			}
		});
	}
	
	function cari_nourut(){
		var kode = $("#txt_kode").val();

		$.ajax({
			type	: "POST",
			url	: "modul/pener_piut/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);
			}
		});
	}
	
	function tampil_detail(){
		var kode = $("#txt_kode").val();

		$("#data_detail").show();
		$("#data_detail").load("modul/pener_piut/tampil_data_detail.php?kode="+kode);
	}
	
	$('#form_cari_plg').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
		
	$('#txt_namapl').keyup(function(){
		cari_nomor();
		var cari= $("#txt_cariplg").val();
		$('#form_cari_plg').dialog('open');
		$("#info_plg").load('modul/pener_piut/tampil_data_plg.php?cari='+cari);
		$("#txt_cariplg").focus();
	});
	
	$('#txt_namapl').click(function(){
		cari_nomor();
		var cari= $("#txt_cariplg").val();
		$('#form_cari_plg').dialog('open');
		$("#info_plg").load('modul/pener_piut/tampil_data_plg.php?cari='+cari);
		$("#txt_cariplg").focus();
	});
	
	$("#txt_cariplg").keyup(function(){
		var cari= $("#txt_cariplg").val();
				
		$.ajax({
			type	: "POST",
			url		: "modul/pener_piut/tampil_data_plg.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_plg").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_plg").html(data);
			}
		});
	});
	
	$('#form_cari_pd').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
	
	$("#txt_nofak").keyup(function(){
		var kodepl = $("#txt_kodepl").val();
		var cari = $("#txt_caripd").val();
		
		if(kodepl==''){
			alert('Maaf, nama pelanggan belum diisi.');
			$("#txt_namapl").val();
			return (false);
		}
		$('#form_cari_pd').dialog('open');
		$("#info_pd").load("modul/pener_piut/tampil_data_pd.php?kodepl="+kodepl+'&cari='+cari);
		$("#txt_caripd").focus();
	});
	
	$("#txt_nofak").click(function(){
		var kodepl = $("#txt_kodepl").val();
		var cari = $("#txt_caripd").val();
		
		if(kodepl==''){
			alert('Maaf, nama pelanggan belum diisi.');
			$("#txt_namapl").val();
			return (false);
		}
		$('#form_cari_pd').dialog('open');
		$("#info_pd").load("modul/pener_piut/tampil_data_pd.php?kodepl="+kodepl+'&cari='+cari);
		$("#txt_caripd").focus();
	});

	$("#txt_tunai").keyup(function(){
		var jmlpiut = $("#txt_jmlpiut").val();
		var tunai   = $("#txt_tunai").val();
		
		if(jmlpiut=='') jpiut=0;
		else jpiut= parseInt(jmlpiut); 
		
		if(tunai=='') jtunai=0;
		else jtunai= parseInt(tunai);
		
		var jpot   = jpiut-jtunai;
		$("#txt_potongan").val(jpot);
		
		if(jtunai>jpiut){
			alert('Maaf, jumlah tunai tidak boleh melebihi saldo.');
			return(false);
		}
	});
	
	$("#txt_potongan").keyup(function(){
		var jmlpiut = $("#txt_jmlpiut").val();
		var tunai   = $("#txt_tunai").val();
		var potongan= $("#txt_potongan").val();
		var jpot	= parseInt(potongan);
		
		if(jmlpiut=='') jpiut=0;
		else jpiut= parseInt(jmlpiut); 
		
		if(tunai=='') jtunai=0;
		else jtunai= parseInt(tunai);
		
		var jsisa = jpiut-jtunai-jpot;
		$("#txt_sisa").val(jsisa);
		
		if(jsisa<0){
			alert('Maaf, jumlah potongan boleh melebihi sisa piutang.');
			$("#txt_potongan").focus();
			return(false);
		}
	});
	
	$("#simpan").click(function(){
		simpan_data();
	});
			
	function simpan_data(){
		var	kode	= $("#txt_kode").val();
		var	tanggal	= $("#txt_tanggal").val();
		var	kodepl  = $("#txt_kodepl").val();
		var	namapl 	= $("#txt_namapl").val();
		var	nourut 	= $("#txt_nourut").val();
		var	nofak  	= $("#txt_nofak").val();
		var	tglfak 	= $("#txt_tglfak").val();
		var	jmlpiut	= $("#txt_jmlpiut").val();
		var	tunai  	= $("#txt_tunai").val();
		var	potongan= $("#txt_potongan").val();		
		var	sisa  	= $("#txt_sisa").val();
		var cari	= $("#txt_cariplg").val();
		
		var error = false;
		
		if(tanggal.length == 0){
           var error = true;
           alert("Maaf, Tanggal penerimaan tidak boleh kosong.");
		   return (false);
        }
		
		if(kodepl.length == 0){
			var error = true;
			alert("Maaf, Kolom pelanggan harus diisi.");
			$("#txt_namapl").focus();
			return (false);
        }
		
		if(nofak.length == 0){
           alert("Maaf, Kolom nomor faktur masih kosong. Kolom ini untuk memanggil data yang sudah dihapus.");
		   $("#txt_nofak").focus();
		   return (false);
        }
		 
		if(error == false){
		$.ajax({
			type	: "POST",
			url		: "modul/pener_piut/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&kodepl="+kodepl+
					"&namapl="+namapl+
					"&nourut="+nourut+
					"&nofak="+nofak+
					"&tglfak="+tglfak+
					"&jmlpiut="+jmlpiut+
					"&tunai="+tunai+
					"&potongan="+potongan+
					"&sisa="+sisa,
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				cari_nourut();
				tampil_detail();
				$('#form_cari_pd').dialog('open');
				$("#info_pd").load("modul/pener_piut/tampil_data_pd.php?kodepl="+kodepl+'&cari='+cari);
				$("#txt_caripd").focus();
			}
		});
		}
	}
	
	$("#simpan_ppi").click(function(){
		rekam_ppi();
	});
	
	function rekam_ppi(){
		var kode		= $("#txt_kode").val();
		var tanggal	= $("#txt_tanggal").val();
		var kodepl  	= $("#txt_kodepl").val();		
		var namapl 	= $("#txt_namapl").val();
		
		if(tanggal.length == 0){
           alert("Maaf, Tanggal penerimaan tidak boleh kosong.");
		   return (false);
        }
		if(kodepl.length == 0){
			alert("Maaf, Kolom pelanggan harus diisi.");
			$("#txt_namapl").focus();
			return (false);
        }
		
		$.ajax({
			type	: "POST",
			url	: "modul/pener_piut/simpan_ppi.php",
			data	: "kode="+kode+
				"&tanggal="+tanggal+
				"&kodepl="+kodepl+
				"&namapl="+namapl,
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_header").val('');
				$("#data_detail").hide();
			}
		});		
	}
	
	$("#tutup").click(function(){		
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
</style>

<?php
include "../../inc/inc.koneksi.php";

echo "<table width='100%'>	
	<tr>
		<td>Kode PPI : <input type='text' name='txt_kode' id='txt_kode' size='13' class='input_header' readonly /></td>
		<td>Tanggal : <input type='date' name='txt_tanggal' id='txt_tanggal' class='input_header'></td>
		<td>Pelanggan : <input type='text' name='txt_namapl' id='txt_namapl' size='21' class='input_header'>
			<input type='text' name='txt_kodepl' id='txt_kodepl' size='4' class='input_header' readonly />
		</td>
	</tr>
</table>
<hr>";

echo "<table>
		<tr>
			<th>No.Faktur</th>
			<th>Tanggal</th>
			<th>Saldo</th>
			<th>Dibayar</th>
			<th>Potongan</th>
			<th>Sisa</th>
		</tr>
		<tr>
			<input type='text' name='txt_nourut' id='txt_nourut' class='input_detail' size='6' hidden/>
			<td align='center'><input type='text' name='txt_nofak' id='txt_nofak' class='input_detail' size='12'></td>
			<td align='center'><input type='date' name='txt_tglfak' id='txt_tglfak' class='input_detail' readonly /></td>
			<td align='center'><input type='text' name='txt_jmlpiut' id='txt_jmlpiut' class='input_detail' size='9' readonly /></td>
			<td align='center'><input type='text' name='txt_tunai' id='txt_tunai' class='input_detail' size='9'></td>
			<td align='center'><input type='text' name='txt_potongan' id='txt_potongan' class='input_detail' size='9'></td>
			<td align='center'><input type='text' name='txt_sisa' id='txt_sisa' class='input_detail' size='8' readonly/></td>
			<td><button name='simpan' id='simpan'>Rekam</button></td>
		</tr>
	</table>";

echo "<table align='center'>
		<tr>
			<td>
				<button name='simpan_ppi' id='simpan_ppi'>Rekam Penerimaan</button>
				<button name='mulai' id='mulai'>Input Penerimaan</button>
				<button name='tutup' id='tutup'>Tutup</button>
			</td>
		</tr>
	</table>";

echo "<div id='data_detail'></div>";

echo "<div id='form_cari_plg' title='Pencarian Data Pelanggan'>
		<table width='100%'>
			<tr>
				<td>Cari Pelanggan : <input type='text' name='txt_cariplg' id='txt_cariplg' size='40'</td>
			</tr>
		</table>
		<div id='info_plg' align='center'></div>
	</div>";
	
echo "<div id='form_cari_pd' title='Pencarian Data Piutang'>
		<table width='100%'>
			<tr>
				<td>Cari No.Faktur : <input type='text' name='txt_caripd' id='txt_caripd' size='30'</td>
			</tr>
		</table>
		<div id='info_pd' align='center'></div>
	</div>";
?>
